<?php

namespace Drupal\yandex_smartcaptcha\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a Yandex SmartCaptcha integration form.
 */
class YandexSmartCaptchaTestForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'yandex_smartcaptcha_test_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $form['smartcaptcha_element'] = [
      '#type' => 'smartcaptcha_element',
      '#smartcaptcha' => [],
    ];

    $form['actions'] = [
      '#type' => 'actions',
    ];
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Send'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    /** @var \Drupal\yandex_smartcaptcha\YandexSmartCaptcha $smart_captcha */
    $smart_captcha = \Drupal::service('yandex_smartcaptcha.service');
    if (!$smart_captcha->isEnabled()) {
      return;
    }

    $this->messenger()
      ->addStatus($this->t('Yandex SmartCaptcha sucessfully verified!'));
  }

}
